import { Controller, EventListenerController, EventListenerTarget, ReactiveElement } from '@a11d/lit';
import { ResizeController } from '@3mo/resize-observer';
export interface PointerControllerOptions {
    target?: EventListenerTarget;
    handleHoverChange?(hover: boolean): void;
}
export declare class PointerController extends Controller {
    protected readonly host: ReactiveElement;
    protected readonly options?: PointerControllerOptions | undefined;
    constructor(host: ReactiveElement, options?: PointerControllerOptions | undefined);
    protected _hover: boolean;
    get hover(): boolean;
    protected checkHover(): Promise<void>;
    protected readonly pointerEnter: EventListenerController;
    protected readonly pointerLeave: EventListenerController;
    protected readonly resizeController: ResizeController<Promise<void>>;
}
//# sourceMappingURL=PointerController.d.ts.map